After all required and any optional steps in a booking workbench session, send a POST request with the workbench identifier to commit the workbench. The resulting actions depend on whether payment is present in the workbench.
If no Add Payment request has been sent, committing the workbench books the itinerary and generates a PNR.
If an Add Payment request has not been sent, committing the workbench tickets the itinerary and generates ticket number/s.
If true, any residual value will not be applied to an MCO or EMD.
If true, reservation warnings such as minimum connection time will be returned to the user for review and a second commit will be required to proceed with creating the reservation.
If true, the minimum connection time warning will be ignored and the Reservation created.
If true, an error will be returned when the flight schedule changes during commit processing
Override the received from field with custom data. Field is stored in Reservation history.
If true, an error will be returned when the flight price changes during commit processing.
- Mock serverhttps://developer.travelport.com/_mock/apis/flights/air/book/reservation/reservations/{Identifier}
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/book/reservation/reservations/{Identifier}
- https://api.travelport.net/11https://api.travelport.net/11/air/book/reservation/reservations/{Identifier}
- Triggers a two-step commit and MCT warning
- Accepts involuntary schedule change from the carrier
- Places booking on queue and updates ticketing time limit
- Adds ReceivedFrom
curl -i -X POST \
'https://developer.travelport.com/_mock/apis/flights/air/book/reservation/reservations/49f58f5f-c443-43b4-9f5d-be405fd00a01?autoDeleteDate=2019-08-24&Issuance=Ticket&DocumentValue=Retain&payLaterInd=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"enableTwoStepCommitInd": true,
"overrideMCTInd": false,
"errorWhenScheduleChangesInd": true,
"errorWhenOfferPriceChangesInd": true
}'OK - Successful Response - 200
The response of a Create Reservation (Reference or Full Payload), Sync Reservation, Modify/Add Reservation, Create/Modify Passive Reservation, Retrieve Reservation, or Cancel Reservation endpoint. The structure detailed here is the same as for all of these API responses. For Post-Commit Workbench Create and Workbench Retrieve, the response is structured the same plus a workbench identifier. The information returned in the Reservation Retrieve response varies depending on the information that has been added to the reservation at the time of retrieve, whether the reservation has been ticketed, and whether the reservation was created using the Travelport TripServices APIs or another program.
Please note the requests for Workbench Commit (Create Reservation), Post-Commit Workbench Create, and Workbench Retrieve do not support the query parameters available in Reservation Retrieve and do not return the following:
- any document override, accounting, historical, and DOCI remarks
- any custom rules
- brand attributes
- baggage dimension and fee details
- fare rules
- ATPCO RouteHappy flight amenities
{ "ReservationResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ { … } ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }